Bug 120612 - disabling selinux isn't good enough for rpm -i
Summary: disabling selinux isn't good enough for rpm -i
Status: CLOSED DUPLICATE of bug 120279
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-12 01:42 UTC by Tom Horsley
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 19:02:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
whole dmesg attatchment - some errors with selinux reported (15.58 KB, text/plain)
2004-04-22 03:24 UTC, Jim Cornette
no flags Details

Description Tom Horsley 2004-04-12 01:42:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
I told install to disable selinux, I verified it was disabled
in the config file, yet every time I install an rpm, I get
hundreds of messages like this:

/etc/security/selinux/file_contexts:  invalid context 
system_u:object_r:default_t on line number 39
... (hundreds just like this for each line number)...
/etc/security/selinux/file_contexts:  invalid context 
system_u:object_r:amanda_recover_dir_t on line number 1833

I don't call this "disabled". Thousands and thousands of us out
here think there is little difference between a brick and a secure
system, and if "disabling" selinux is going to insist on dragging
in brick-like attributes, we ain't gonna like fedora much :-).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC2T2
2. Tell it to disable selinux during install
3. run "yum update" to get latestst and greatest
4. run any old "rpm -i" command
5. watch the hundreds of messages
    

Actual Results:  The hundreds of error messages about invalid context

Expected Results:  No selinux related warnings on a system with 
selinux disabled.

Additional info:

Comment 1 Jim Cornette 2004-04-22 03:24:14 UTC
Created attachment 99626 [details]
whole dmesg attatchment - some errors with selinux reported

This was on a fresh install and trying to install mozilla-mail

Comment 2 Gerald Teschl 2004-05-02 09:57:31 UTC

*** This bug has been marked as a duplicate of 120279 ***

Comment 3 Red Hat Bugzilla 2006-02-21 19:02:32 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.